[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# FilenameIsAbsolute

Checks whether an absolute file name is given in TheFileName

## Declaration

Source position: fileutil.pas line 51

`function FilenameIsAbsolute(`
`const TheFilename: String`
`):Boolean;`

## Arguments

`TheFilename` |  | The name of the file to be checked

## Function result

Returns True if an absolute filename has been supplied

## Description

Checks whether an absolute file name is given in TheFileName

Makes use of FilenameIsWinAbsolute on Windows systems, otherwise uses FilenameIsUnixAbsolute

The latest version of this document can be found at lazarus-ccr.sourceforge.net.